HexDump (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io

## Class HexDump

- java.lang.Object
- - org.apache.commons.io.HexDump

-     public class HexDump
      extends java.lang.Object

  Dumps data in hexadecimal format.

  Provides a single function to take an array of bytes and display it in hexadecimal form.

  Origin of code: POI.

  Version:
    $Id: HexDump.java 1471767 2013-04-24 23:24:19Z sebb $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static char[]` | `_hexcodes`
    `private static int[]` | `_shifts`
    `static java.lang.String` | `EOL` The line-separator (initializes to "line.separator" system property.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HexDump()` Instances should NOT be constructed in standard programming.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dump(byte[] data, long offset, java.io.OutputStream stream, int index)` Dump an array of bytes to an OutputStream.
    `private static java.lang.StringBuilder` | `dump(java.lang.StringBuilder _cbuffer, byte value)` Dump a byte value into a StringBuilder.
    `private static java.lang.StringBuilder` | `dump(java.lang.StringBuilder _lbuffer, long value)` Dump a long value into a StringBuilder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EOL

          public static final java.lang.String EOL

      The line-separator (initializes to "line.separator" system property.

    - #### _hexcodes

          private static final char[] _hexcodes

    - #### _shifts

          private static final int[] _shifts

  - ### Constructor Detail

    - #### HexDump

          public HexDump()

      Instances should NOT be constructed in standard programming.

  - ### Method Detail

    - #### dump

          public static void dump(byte[] data,
                  long offset,
                  java.io.OutputStream stream,
                  int index)
                           throws java.io.IOException,
                                  java.lang.ArrayIndexOutOfBoundsException,
                                  java.lang.IllegalArgumentException

      Dump an array of bytes to an OutputStream. The output is formatted for human inspection, with a hexadecimal offset followed by the hexadecimal values of the next 16 bytes of data and the printable ASCII characters (if any) that those bytes represent printed per each line of output.

      The offset argument specifies the start offset of the data array within a larger entity like a file or an incoming stream. For example, if the data array contains the third kibibyte of a file, then the offset argument should be set to 2048. The offset value printed at the beginning of each line indicates where in that larger entity the first byte on that line is located.

      All bytes between the given index (inclusive) and the end of the data array are dumped.

      Parameters:
        `data` - the byte array to be dumped
        `offset` - offset of the byte array within a larger entity
        `stream` - the OutputStream to which the data is to be written
        `index` - initial index into the byte array
      Throws:
        `java.io.IOException` - is thrown if anything goes wrong writing the data to stream
        `java.lang.ArrayIndexOutOfBoundsException` - if the index is outside the data array's bounds
        `java.lang.IllegalArgumentException` - if the output stream is null

    - #### dump

          private static java.lang.StringBuilder dump(java.lang.StringBuilder _lbuffer,
                                     long value)

      Dump a long value into a StringBuilder.
      Parameters:
        `_lbuffer` - the StringBuilder to dump the value in
        `value` - the long value to be dumped
      Returns:
        StringBuilder containing the dumped value.

    - #### dump

          private static java.lang.StringBuilder dump(java.lang.StringBuilder _cbuffer,
                                     byte value)

      Dump a byte value into a StringBuilder.
      Parameters:
        `_cbuffer` - the StringBuilder to dump the value in
        `value` - the byte value to be dumped
      Returns:
        StringBuilder containing the dumped value.

Copyright (c) 2002-2016 Apache Software Foundation